----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    15:24:08 06/19/2007 
-- Design Name: 
-- Module Name:    DAC_subemulator_01 - DAC_se01_arch 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity DAC_subemulator_01 is
    Port ( SCLK		:	in		STD_LOGIC;
           invReset	:	in		STD_LOGIC;
			  invSync	:	in		STD_LOGIC;
			  D_in		:	in		STD_LOGIC;
           Addr		:	out	STD_LOGIC_VECTOR (4 downto 0);
			  Code		:	out	STD_LOGIC_VECTOR (13 downto 0));
end DAC_subemulator_01;

architecture DAC_se01_arch of DAC_subemulator_01 is

	component DAC_hold19
		Port (
			CLK		:	in		STD_LOGIC;
         invReset	:	in		STD_LOGIC;
			invBegin	:	in		STD_LOGIC;
         Go			:	out	STD_LOGIC
		);
	end component;
	
	component DAC_shifter
		Port (
			SCLK		:	in		STD_LOGIC;
         invRESET	:	in		STD_LOGIC;
         Enable	:	in		STD_LOGIC;
         D_in		:	in		STD_LOGIC;
         Addr		:	out	STD_LOGIC_VECTOR (4 downto 0);
         Code		:	out	STD_LOGIC_VECTOR (13 downto 0)
		);
	end component;
	
	signal Enable : STD_LOGIC;

begin

	u1: DAC_hold19 port map (SCLK, invReset, invSync, Enable);
	u2: DAC_shifter port map (SCLK, invReset, Enable, D_in, Addr, Code);

end DAC_se01_arch;

